<div align="right" dir="rtl">

<p align="center" dir="rtl">بسم الله الرحمن الرحیم</p>

# دانلود و راه اندازی سرور الاستیک سرچ و کیبانا

قبل از هر چیز باید الاستیک سرچ و کیبانا را به صورت جداگانه دانلود کرده، آنها را از حالت زیپ خارج و با تنظیمات پیش فرض اجرا کنید.
[الاستیک سرچ](https://www.elastic.co/downloads/elasticsearch)
[کیبانا](https://www.elastic.co/downloads/kibana)
قبل از هر چیز، مطمئن شوید که نسخه ۸ (نسخه ۸ الاستیک نیاز به نسخه ۱۱ به بعد جاوا دارد) جاوا روی سیستمتان نصب و متغیر محیطی JAVA_HOME در ویندوز هم تنظیم شده است. برای نصب جاوا به [این آدرس](https://soft98.ir/software/692-sun-java-se-runtime-environment.html) و برای تنظیم متغیر محیطی فوق به [این مقاله](https://hitos.ir/190/environment-variables)، مراجعه کنید.

دو فایل دانلود شده فوق را از حالت زیپ درآورید . سپس با ورود به پوشه اصلی الاستیک سرچ، پوشه bin را باز کرده، بر روی elasticsearch.bat  کلیک کنید (فایل دوم ).

اگر مشکلی رخ ندهد که معمولاً اگر رم کمی داشته باشید ممکن است، اجرای الاستیک با مشکل مواجه شود، تصویر زیر را خواهید دید (اگر پنجره ای باز شود و از شما سوال کرد که به این فایل اجازه دسترسی به شبکه را بدهد گزینه Allow را انتخاب کنید) :
<p align="center">
  <img src="img/install/1.png" />
  <br>
    صفحه شروع به کار الاستیک سرچ
  <br>
</p>


بهتر است ابتدا خط فرمان ویندوز (Command Prompt) را باز کرده ، به پوشه bin در الاستیک رفته و با تایپ elasticsearch.bat  و زدن اینتر، الاستیک را اجرا کنید تا اگر خطایی پیش آمد، بتوانید با بررسی آن و جستجو در گوگل ، مشکل خود را حل کنید.

#### "توجه"
در پوشه confing  و در فایل elasticsearch.yml یک سری تنظیمات به صورت پیشفرض در حالت  True  قرار دارد، اگر درحال آموزش اولیه هستید و میخواهید به صورت آزمایشی با الاستیک سرچ کار کنید پیشنهاد میشود که این تنظیمات را روی حالت False  قرار دهید مانند تصویر زیر:

<p align="center">
  <img src="img/install/7.jpg" />
</p>

برای اطمینان از آماده بودن الاستیک سرچ، در مرورگر آدرس زیر را تاپپ کنید (۹۲۰۰ پورت پیش فرض الاستیک است، http://localhost:9200/) :

با این کار، اطلاعات کلی الاستیک مانند شماره نسخه آن به شما نمایش داده خواهد شد :
<p align="center">
  <img src="img/install/2.png" />
</p>
در مرحله بعد، برای کار با الاستیک، با توجه به اینکه الاستیک، از طریق پروتکل HTTP درخواستها را دریافت و آنها  را پاسخ می دهد (یعنی API‌ آن از نوع REST است) نیاز به ابزاری برای ارسال درخواستهای HTTP داریم . یکی از بهترین این ابزار، نرم افزار PostMan است که امکانات بسیار کاملی مانند ذخیره تک تک کوئری ها و تنظیمات نمایشی مختلف را داراست (نرم افزار Insomnia هم محیط گرافیکی جذاب و امکانات متنوعی دارد که می توانید از آن هم استفاده کنید.). اما خود محیط کیبانا که داشبورد تحلیل داده الاستیک است، این امکان را در اختیار توسعه گران و تحلیل گران قرار می دهد.ما هم با کیبانا کار خواهیم کرد.

## نکته
در بسیاری از مستندات الاستیک سرچ بخصوص مستندات اصلی الاستیک سرچ، برای ارسال درخواست به الاستیک و مشاهده نتایج از کتابخانه خط فرمان curl استفاده شده است که فایلهای اجرایی آن در ویندوز، در [آدرس ریپوزیتوری گیت هاب این آموزش](https://github.com/smbanaie/ElasticSearchRepo)، موجود است و می توانید با ورود به خط فرمان، دستورات ورود داده این آموزش و همچنین جستجو ها را طبق دستورات این منبع، انجام بدهید. دقت کنید دستورات curl هنگام اجرا در محیط های گرافیکی باید تغییر مختصری بکنند مثلاً به جای XPUT همان PUT باید استفاده شود و نیز به جای d- برای ورود داده ها به صورت جی سان، خود داده ها بدون این پارامتر وارد شوند.
اگر با پاورشل ویندوز کار می‌کنید می توانید به جای curl‌ از این دستور استفاده کنید :
    Invoke-RestMethod http://localhost:9200

وارد پوشه کیبانا شده ، درون پوشه bin فایل kibana.bat (فایل اول) را اجرا (ترجیحاً از خط  فرمان) کنید. کمی طول خواهد کشید و اگر مشکل رم نداشته باشید، صفحه زیر را مشاهده خواهید کرد :
<p align="center">
  <img src="img/install/3.png" />
  <br>
  صفحه شروع کیبانا
  </br>
</p>

همانطور که مشاهده میکنید کیبانا پشت پورت ۵۶۰۱ منتظر پاسخگویی به درخواستهای کاربران است. بنابراین در مرورگر این آدرس را تایپ کنید  :
<div align="left" dir="ltr"">

```r

http://localhost:5601

```
</div>

اگر صفحه زیر را مشاهده کردید، همه چیز خوب پیش رفته است :
<p align="center">
  <img src="img/install/4.png" />
</p>
با برخی از این امکانات امروز آشنا خواهیم شد. برای شروع و ورود چند داده، بر روی گزینه Console در پنل سمت راست کلیک کنید. ( یا منوی Dev Tools)
<p align="center">
  <img src="img/install/5.png" />
</p>
در صفحه فوق که کنسول تحت وب کیبانا برای کار با الاستیک محسوب می شود، دو پنل مشاهده می کنید. پنل سمت چپ برای نوشتن کوئری ها و اجرای آنها با زدن دکمه مثلث سبز رنگ و پنل سمت راست برای مشاهده نتایج است.

اکنون همه چیز برای شروع به کار با الاستیک سرچ آماده است.

<p align="center" dir="rtl">صلوات</p>
</div>