///
GET /users/_search
{
    "query": {
        "match_phrase": {
            "username": "Ali"
        }
    }
}
// match_phrase --> عین عبارت را جستجو کند


GET /users/_search
{
    "query": {
        "match_phrase": {
            "content": {
                "query": "سبک زندگی اسلامی",
                "boost": 10
            }
        }
    }
}
// boost ---> نشان دهنده امتیاز
// elasticsearch برای هر چیزی که پیدا شود با یک سری الگوریتم یک امتیاز در نظر میگیرد
// برای هر کوئری (match, match_phrase ...) امتیاز 1 در نظر گرفته شده
// مثلا اگر دو تا متچ داشته باشیم و هر دو پیدا شوند، امتیاز 2 به چیز پیدا شده تعلق میگیرد
// برای اینکه امتیاز یک کوئری را بیشتر کنیم از boost استفاده میکنیم


POST qanonindex-v03/_search
{
  "size": 4, 
  "from": 4, 
  "_source": ["username", "age"], 
  "query": {
    "bool": {
      "must_not": [
        {
          "term": {
            "username": "Ali"
          }
        },
        {
          "match": {
            "age": "23"
          }
          
        }
      ]
    }
  }
}
// must_not -> array
// برعکس must -> تمامی شرط های توی آرایه نباید برقرار باشند
