// ------------------------------------------------------------------------------------- bollean
// تعریف فیلد
PUT my-index
{
  "mappings": {
    "properties": {
      "is_published": {
        "type": "boolean"
      }
    }
  }
}
// افزودن سند
POST my-index/_doc/1?refresh
{
  "is_published": true
}

// جستجو اسناد
GET my-index/_search
{
  "query": {
    "term": {
      "is_published": true 
    }
  }
}

// ------------------------------------------------------------------------------------- keyword
// تعریف فیلد
PUT my-index
{
    "mappings": {
        "properties": {
            "kwd": {
                "type": "keyword"
            }
        }
    }
}

// افزودن سند

POST my-index/_doc/1
{
  "tags": ["foo", "bang", "bar", "baz"]
}

// جستجو اسناد

GET my-index/_search
{
    "query": {
        "match": {
            "tags": "foo"
        }
    }
}

// ------------------------------------------------------------------------------------- text

// تعریف فیلد
PUT my-index
{
    "mappings": {
        "properties": {
            "kwd": {
                "type": "text"
            }
        }
    }
}

// افزودن سند
PUT my-index/_doc/1
{
  "text": [
    "the quick brown fox",
    "the quick brown fox",
    "jumped over the lazy dog"
  ]
}

// جستجوی اسناد

GET my-index/_search
{
    "query": {
        "match": {
            "text": "jumped"
        }
    }
}

// ------------------------------------------------------------------------------------- Numeric
// انواع دیتا تایپ های عددی:
// long: عدد 64 بیتی از منفی 2 به توان 63 تا دو به توان 63 منهای 1
// integer مثل بالایی ولی تا دو به توان 23 منهای 1
// float: عدد اعشاری 32 بیتی
// double: عدد اعشازری 64 بیتی
// scaled_float : هم لانگ هم دابل

